<?php

namespace KupShop\AutomationConfiguratorBundle\Util;

use Query\QueryBuilder;

class ConfiguratorQuery
{
    public static function joinDeliveryType(): callable
    {
        return function (QueryBuilder $qb) {
            $qb->leftJoin('o', 'delivery_type', 'dt', 'dt.id = o.id_delivery')
            ->addSelect('dt.id_delivery dt_id_delivery', 'dt.id_payment dt_id_payment');
        };
    }
}
